BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0

Serves as the base interface for implementing collection classes. Defines size, enumeration, and synchronization methods for all system collections.

contains the method. The consumer of a collection object that implements this interface should call this method when copying the elements of that object to a .

- Method
  System.Void `` `` A one-dimensional, zero-based that is the destination of the elements copied from the current instance. A that specifies the zero-based index in at which copying begins.

  Copies the elements from the current instance to the specified , starting at the specified index in the array.

  As described above.

  Use this method to copy from a collection to a .

  is . < 0.

  has more than one dimension.

  -or-

  is greater than or equal to .Length.

  -or-

  The sum of and the of the current instance is greater than .Length.

  At least one element in the current instance is not assignment-compatible with the type of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32

  Gets the number of elements contained in the current instance.

  A that indicates the number of elements contained in the current instance.

  This property is read-only.

  The property is required to return the total number of elements contained in the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets a indicating whether access to the current instance is synchronized (thread-safe).

  if access to the current instance is synchronized (thread-safe); otherwise, .

  This property is read-only.

  As described above.

  To synchronize a collection, use to obtain a with which to synchronize the collection.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Object

  Gets a that can be used for thread-safe synchronized access to the current instance.

  A that can be used for thread-safe synchronized access to the current instance.

  This property is read-only.

  For collections with no publicly available underlying store, the expected implementation is to simply return the current instance. Note that this might not be sufficient for collections that wrap other collections; those should return the underlying collection's property.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Collections.IEnumerable System.Runtime.InteropServices.ComVisible(true)